//
//  ViewController.swift
//  Swift-revolvecollection-test
//
//  Created by wyz on 16/7/1.
//  Copyright © 2016年 ICTEHI. All rights reserved.
//

import UIKit

class ViewController: UIViewController , UICollectionViewDelegate , UICollectionViewDataSource{

    override func viewDidLoad() {
        super.viewDidLoad()
        collectionviewShow()
    }
    
    private var num:Int!
    private var colView:UICollectionView!
    private var changeAngle:CGFloat!
    private func collectionviewShow(){
        num = 8
        changeAngle = 0
        colView = UICollectionView.init(frame: CGRectMake(0, 100, view.bounds.size.width, view.bounds.size.width), collectionViewLayout: RVCollectionViewLayout.init())
        colView.backgroundColor = UIColor.whiteColor()
        colView.registerClass(UICollectionViewCell.self, forCellWithReuseIdentifier: "collectCell")
        colView.delegate = self
        colView.dataSource = self
        view.addSubview(colView)
    }

    func collectionView(collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
        
        return num
    }
    func collectionView(collectionView: UICollectionView, cellForItemAtIndexPath indexPath: NSIndexPath) -> UICollectionViewCell {
        let cell = collectionView.dequeueReusableCellWithReuseIdentifier("collectCell", forIndexPath: indexPath)
        cell.backgroundColor = UIColor.init(red: 250.0/CGFloat(num)*CGFloat(indexPath.row)/255.0, green: (255.0-250.0/CGFloat(num)*CGFloat(indexPath.row))/255.0, blue: 135.9/255.0, alpha: 1.0)
        return cell
    }
    
    func collectionView(collectionView: UICollectionView, didSelectItemAtIndexPath indexPath: NSIndexPath) {
        changeAngle = changeAngle+2*CGFloat(M_PI)/CGFloat(num)
        if changeAngle == CGFloat(M_PI)*2 {
            changeAngle = 0
        }
        UIView.animateWithDuration(0.5) { 
            self.colView.transform = CGAffineTransformMakeRotation(self.changeAngle)
                for i in 0..<self.num {
                    let eachIndexpath = NSIndexPath(forRow: i, inSection: 0)
                    let cell = collectionView.cellForItemAtIndexPath(eachIndexpath)
                    cell!.transform = CGAffineTransformMakeRotation(-self.changeAngle)
                }
        }
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

